#!/bin/bash
#SBATCH -t 4:00:00
#SBATCH -p standard96
#SBATCH -o tmp/%J-tile.txt

CONTAINER_PATH="$1"
shift

CUR_WORK_DIR="$1"
shift

ASSETS_DIR="$1"
shift

SCENE_FILENAME="$1"
shift

SIMULATION_FILENAME="$1"
shift

TASK_ID="$SLURM_ARRAY_TASK_ID"
echo "Task ID: $TASK_ID"
echo "Loading singularity"
module load singularity

echo "singularity exec -B $HOME:/usr/users/$USER,$CUR_WORK_DIR:/forestcare,./src/synforest/utils/run_helios.py:/forestcare/run_helios.py,$ASSETS_DIR:/forestcare/assets $CONTAINER_PATH python /forestcare/run_helios.py $SCENE_FILENAME\_$TASK_ID.json $SIMULATION_FILENAME\_$TASK_ID.json"

singularity exec -B $HOME:/usr/users/$USER,$CUR_WORK_DIR:/forestcare,./src/synforest/utils/run_helios.py:/forestcare/run_helios.py,$ASSETS_DIR:/forestcare/assets,./template:/forestcare/template $CONTAINER_PATH python /forestcare/run_helios.py $SCENE_FILENAME\_$TASK_ID.json $SIMULATION_FILENAME\_$TASK_ID.json
echo -ne "Done @"
hostname
echo ""